#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint pataa_autofill_view.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'pataa_autofill_view'
  s.version          = '1.0.3'
  s.summary          = 'Official Address Autofill SDK for Flutter to access Pataa API.'
  s.description      = 'One of the major reasons of reduced churn rate i.e. a customer filling his cart with selected merchandise from your website but abandoning it before placing his order, is the long and tedious process of address filling. Pataa Navigations has the perfect solution for this problem, the Pataa Address Fill API. Our addressing app Pataa converts a long and complex address into a unique short code like JAIN53,KUMAR100 and simplifies complex addressing systems by sharing precise geo-tagged location, user recommended routes, user recorded voice directions and more, thus making last mile navigation easy. Now instead of long address details, the customer simply enters the Pataa code (^KUMAR100) in the address section and you can navigate straight to it without any hassle.'
  s.homepage         = 'https://addressapi.pataa.com/#/login'
  s.license          = {
                            "type": "Pataa Navigations Platform License",
                            "text": "Pataa Navigations Private Limited, and affiliates. All rights reserved.\n    You are hereby granted a non-exclusive, worldwide, royalty-free license to use, copy, modify and\n    distribute this software in source code or binary form for use in connection with the web\n    services and APIs provided by Pataa. The modifications, use, copy and distribution shall be in\n    connection with/for improvement of Pataa and affiliated products only.\n    As with any software that integrates with Pataa platform, your use to this software is subject to\n    the Pataa Navigations Private Limited’s Terms of Use, Privacy Policy, and License agreements.\n    ________________________ This software notice shall be included in all copies or substantial\n    portions of the software.\n    THIS SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,\n    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\n    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\n    NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT\n    HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\n    WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n    FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR\n    OTHER DEALINGS IN THE SOFTWARE.\n\n"
                          }
  s.author           = 'Pataa Navigations'
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'Address-Autofill-iOS', '1.0.0'
  s.platform = :ios, '10.0'
end
